Loading...
Searching...
No Matches
OilPvtMultiplexer.hpp File Reference

This class represents the Pressure-Volume-Temperature relations of the oil phase in the black-oil model. More...

`#include <opm/material/fluidsystems/blackoilpvt/BrineCo2Pvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/BrineH2Pvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/ConstantCompressibilityOilPvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/DeadOilPvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/LiveOilPvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/OilPvtThermal.hpp>`

Go to the source code of this file.

## Classes

class | Opm::OilPvtMultiplexer< Scalar, enableThermal >
| This class represents the Pressure-Volume-Temperature relations of the oil phase in the black-oil model. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Macros

#define | OPM_OIL_PVT_MULTIPLEXER_CALL(codeToCall, ...)

## Enumerations

enum class | OilPvtApproach { NoOil , LiveOil , DeadOil , ConstantCompressibilityOil , ThermalOil , BrineCo2 , BrineH2 }

## Detailed Description

This class represents the Pressure-Volume-Temperature relations of the oil phase in the black-oil model.

This is the base class which which provides an API for the actual PVT implementation classes which based on dynamic polymorphism. The rationale to use dynamic polymorphism here is that this enables the fluid system to easily switch the used PVT relations for the individual fluid phases.

Note that, since the application for this class is the black-oil fluid system, the API exposed by this class is pretty specific to the black-oil model.